from flask_restplus import fields
#from pyrest.webservices.taskmap.taskmap import taskmap_api
from pyrest.webservices.taskmap.taskmap import taskmap_api


taskmap_model = taskmap_api.model('taskmap', {
    'timestamp': fields.DateTime(description='Timestamp of the map', dt_format='iso8601'),
    'geometry': fields.Raw(required=True, description='GeoJSON geometry data'),
    'minvalue': fields.Integer(description="Minimum value of treshold", default="0.75"),
    'maxvalue': fields.Integer(description="Maximum value of treshold", default="1.25"),
    'stepvalue': fields.Integer(description="Step size", default="0.1")
})
